Get Samba audit logs
GET
/samba/audit-logs
const url = 'https://sylve.lan:8181/api/samba/audit-logs?page=1&size=100&sort%5B0%5D%5Bfield%5D=id&sort%5B0%5D%5Bdir%5D=asc';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/samba/audit-logs?page=1&size=100&sort%5B0%5D%5Bfield%5D=id&sort%5B0%5D%5Bdir%5D=asc' \ --header 'Authorization: <Authorization>'Retrieve paginated Samba audit logs
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer
Page number
size
integer
Page size
sort[0][field]
string
Sort field
sort[0][dir]
string
Sort direction
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
data
Array<object>
object
action
string
client
string
createdAt
string
folder
string
id
integer
ip
string
occurrences
integer
path
string
result
string
retentionDays
integer
share
string
shareId
integer
target
string
user
string
last_page
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "data": [ { "action": "example", "client": "example", "createdAt": "example", "folder": "example", "id": 1, "ip": "example", "occurrences": 1, "path": "example", "result": "example", "retentionDays": 1, "share": "example", "shareId": 1, "target": "example", "user": "example" } ], "last_page": 1 }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}